Page MenuHomePhabricator

[ARM64EC 5/?] Fix names of __chkstk and __security_check_cookie.
AcceptedPublic

Authored by efriedma on May 11 2022, 1:47 PM.

Details

Summary

Part of initial Arm64EC patchset.

Arm64EC code needs to use functions with a different name, to avoid using the x64 versions.

Diff Detail

Event Timeline

efriedma created this revision.May 11 2022, 1:47 PM
Herald added a project: Restricted Project. · View Herald TranscriptMay 11 2022, 1:47 PM
efriedma requested review of this revision.May 11 2022, 1:47 PM
Herald added a project: Restricted Project. · View Herald TranscriptMay 11 2022, 1:47 PM
DavidSpickett accepted this revision.May 12 2022, 6:25 AM
DavidSpickett added a reviewer: DavidSpickett.

(subject to discussion on what the final triple is but just a find/replace here)

dpaoliello accepted this revision.May 31 2022, 10:54 AM
This revision is now accepted and ready to land.May 31 2022, 10:54 AM